Bug 2049078 - Bond CNI: Failed to attach Bond NAD to pod
Summary: Bond CNI: Failed to attach Bond NAD to pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.11
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.11.0
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On:
Blocks: 2048413
TreeView+ depends on / blocked
 
Reported: 2022-02-01 14:05 UTC by Marcin Mirecki
Modified: 2022-08-10 10:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2048413
Environment:
Last Closed: 2022-08-10 10:45:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1295 0 None open Fix bond cni source directory path 2022-02-01 14:07:26 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:46:06 UTC

Comment 2 Weibin Liang 2022-02-07 20:35:46 UTC
"bond" is found in 4.11.0-0.nightly-2022-02-07-112435

sh-4.4# chroot /host
sh-4.4# ls -la /var/lib/cni/bin/
total 235832
drwxr-xr-x. 2 root root     4096 Feb  7 16:49 .
drwxr-xr-x. 6 root root       62 Feb  7 16:49 ..
-rwxr-xr-x. 1 root root  3785247 Feb  7 16:49 bandwidth
-rwxr-xr-x. 1 root root  3946960 Feb  7 16:49 bond
-rwxr-xr-x. 1 root root  4191417 Feb  7 16:49 bridge
-rwxr-xr-x. 1 root root  9765626 Feb  7 16:49 dhcp
-rwxr-xr-x. 1 root root 30886582 Feb  7 16:49 egress-router
-rwxr-xr-x. 1 root root  4336960 Feb  7 16:49 firewall
-rwxr-xr-x. 1 root root  3811761 Feb  7 16:49 host-device
-rwxr-xr-x. 1 root root  3241396 Feb  7 16:49 host-local
-rwxr-xr-x. 1 root root  3923222 Feb  7 16:49 ipvlan
-rwxr-xr-x. 1 root root  3295200 Feb  7 16:49 loopback
-rwxr-xr-x. 1 root root  4008350 Feb  7 16:49 macvlan
-rwxr-xr-x. 1 root root 46688827 Feb  7 16:49 multus
-rwxr-xr-x. 1 root root 49278767 Feb  7 16:49 ovn-k8s-cni-overlay
-rwxr-xr-x. 1 root root  3699966 Feb  7 16:49 portmap
-rwxr-xr-x. 1 root root  4105517 Feb  7 16:49 ptp
-rwxr-xr-x. 1 root root  2920740 Feb  7 16:49 route-override
-rwxr-xr-x. 1 root root  3483701 Feb  7 16:49 sbr
-rwxr-xr-x. 1 root root  2818620 Feb  7 16:49 static
-rwxr-xr-x. 1 root root  3456054 Feb  7 16:49 tuning
-rwxr-xr-x. 1 root root  3921497 Feb  7 16:49 vlan
-rwxr-xr-x. 1 root root  3523132 Feb  7 16:49 vrf
-rwxr-xr-x. 1 root root 42350193 Feb  7 16:49 whereabouts

Comment 4 errata-xmlrpc 2022-08-10 10:45:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.